Test::Float::FloatRelTypes Class Reference

Iterator for float relation types. More...

`#include <float.hh>`

## Public Member Functions

| FloatRelTypes (void)
| Initialize iterator.
void | reset (void)
| Reset iterator.
bool | operator() (void) const
| Test whether iterator is done.
void | operator++ (void)
| Increment to next relation type.
Gecode::FloatRelType | frt (void) const
| Return current relation type.

## Detailed Description

Iterator for float relation types.

Definition at line 339 of file float.hh.

## Constructor & Destructor Documentation

## FloatRelTypes()

Test::Float::FloatRelTypes::FloatRelTypes | ( | void |  | ) |

inline

Initialize iterator.

Definition at line 289 of file float.hpp.

## Member Function Documentation

## reset()

void Test::Float::FloatRelTypes::reset | ( | void |  | ) |

inline

Reset iterator.

Definition at line 292 of file float.hpp.

## operator()()

bool Test::Float::FloatRelTypes::operator() | ( | void |  | ) | const

inline

Test whether iterator is done.

Definition at line 296 of file float.hpp.

## operator++()

void Test::Float::FloatRelTypes::operator++ | ( | void |  | ) |

inline

Increment to next relation type.

Definition at line 300 of file float.hpp.

## frt()

Gecode::FloatRelType Test::Float::FloatRelTypes::frt | ( | void |  | ) | const

inline

Return current relation type.

Definition at line 304 of file float.hpp.

The documentation for this class was generated from the following files:

- test/float.hh
- test/float.cpp
- test/float.hpp